import { tableMappingColumns } from '@/views/realTimeSync/dataBaseToDataBase/data';

export const tableList: any[] = [
  {
    businessId: 1,
    name: '图标加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 2,
    name: '图标专利文件加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 3,
    name: '版权证书加载',
    scene: '离线加载',
    releaseStatus: '已下线',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 4,
    name: '学生成绩表格',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 5,
    name: '各科试卷加载',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 6,
    name: '学生个人信息加载',
    scene: '准实时加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '共享工作组',
  },
];
export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '整合',
    workSpaceName: '整合',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '数据加载',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '个人工作区',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '数据加载',
    workSpaceName: '共享工作区',
    parentId: 101,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    parentWorkSpaceName: '个人工作区',
    workSpaceName: '图标验收',
    parentId: 201,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    parentWorkSpaceName: '共享工作区',
    workSpaceName: '学生成绩',
    parentId: 202,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
export const cardList = [
  {
    title: '数据库到数据库',
    scene: 'optionPage',
    icon: 'iconoir:db',
    pathIcon: 'bytesize:arrow-right',
    endpointIcon: 'iconoir:db',
    color: '#1255c9',
    pathColor: '#7bd8fa',
    description: '支持数据加载导数据仓库（数据加载功能），也支持数仓将数据写入业务库（卸载功能）',
  },
  {
    title: '数据库到消息队列',
    scene: 'message',
    icon: 'iconoir:db',
    pathIcon: 'bytesize:arrow-right',
    endpointIcon: 'oi:envelope-closed',
    color: '#1255c9',
    pathColor: '#7bd8fa',
    description: '支持将文件定期加载入数据仓库中',
  },
];
export const isCustomSQLTableList = [
  {
    businessId: '14',
    ownershipTableId: '0',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '0',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '12',
    ownershipTableId: '4',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'product_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '16',
    ownershipTableId: '5',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '17',
    ownershipTableId: '5',
    fieldName: 'category_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '18',
    ownershipTableId: '5',
    fieldName: 'category_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '19',
    ownershipTableId: '6',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '20',
    ownershipTableId: '6',
    fieldName: 'customer_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '21',
    ownershipTableId: '6',
    fieldName: 'customer_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '22',
    ownershipTableId: '7',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '23',
    ownershipTableId: '7',
    fieldName: 'customer_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '24',
    ownershipTableId: '7',
    fieldName: 'order_date',
    fieldType: 'DATE',
  },
  {
    businessId: '25',
    ownershipTableId: '8',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '26',
    ownershipTableId: '8',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '27',
    ownershipTableId: '8',
    fieldName: 'stock_quantity',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '28',
    ownershipTableId: '8',
    fieldName: 'last_updated',
    fieldType: 'TIMESTAMP',
  },
  {
    businessId: '29',
    ownershipTableId: '9',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '30',
    ownershipTableId: '9',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '31',
    ownershipTableId: '9',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '32',
    ownershipTableId: '9',
    fieldName: 'phone_number',
    fieldType: 'VARCHAR(20,0)',
  },
  {
    businessId: '33',
    ownershipTableId: '10',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '34',
    ownershipTableId: '10',
    fieldName: 'category_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '35',
    ownershipTableId: '10',
    fieldName: 'category_description',
    fieldType: 'TEXT',
  },
  {
    businessId: '36',
    ownershipTableId: '10',
    fieldName: 'parent_category_id',
    fieldType: 'BIGINT(19,0)',
  },
];
export const isBatchCustomSQLTableList = [
  {
    businessId: '1',
    ownershipTableId: '1',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '1',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'description',
    fieldType: 'TEXT',
  },
  {
    businessId: '5',
    ownershipTableId: '2',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'user_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'username',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'email',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '3',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },
  {
    businessId: '12',
    ownershipTableId: '4',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'BIGINT(19,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'product_name',
    fieldType: 'VARCHAR(255,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },
];
export const notCustomSQLTableList = [
  // bm_datasource
  {
    businessId: '1',
    ownershipTableId: '0',
    fieldName: 'uuid',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '2',
    ownershipTableId: '0',
    fieldName: 'catalog_id',
    fieldType: 'BIGINT(19,0)',
  },

  // user_info
  {
    businessId: '3',
    ownershipTableId: '1',
    fieldName: 'user_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '4',
    ownershipTableId: '1',
    fieldName: 'username',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '5',
    ownershipTableId: '1',
    fieldName: 'email',
    fieldType: 'VARCHAR(100,0)',
  },

  // customer_details
  {
    businessId: '6',
    ownershipTableId: '2',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '7',
    ownershipTableId: '2',
    fieldName: 'first_name',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '8',
    ownershipTableId: '2',
    fieldName: 'last_name',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '9',
    ownershipTableId: '2',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },

  // order_history
  {
    businessId: '10',
    ownershipTableId: '3',
    fieldName: 'order_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '11',
    ownershipTableId: '3',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '12',
    ownershipTableId: '3',
    fieldName: 'order_date',
    fieldType: 'DATETIME',
  },

  // product_inventory
  {
    businessId: '13',
    ownershipTableId: '4',
    fieldName: 'product_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '14',
    ownershipTableId: '4',
    fieldName: 'quantity',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '15',
    ownershipTableId: '4',
    fieldName: 'price',
    fieldType: 'DECIMAL(10,2)',
  },

  // transaction_logs
  {
    businessId: '16',
    ownershipTableId: '5',
    fieldName: 'log_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '17',
    ownershipTableId: '5',
    fieldName: 'transaction_type',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '18',
    ownershipTableId: '5',
    fieldName: 'amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // employee_records
  {
    businessId: '19',
    ownershipTableId: '6',
    fieldName: 'employee_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '20',
    ownershipTableId: '6',
    fieldName: 'name',
    fieldType: 'VARCHAR(100,0)',
  },
  {
    businessId: '21',
    ownershipTableId: '6',
    fieldName: 'position',
    fieldType: 'VARCHAR(100,0)',
  },

  // payment_details
  {
    businessId: '22',
    ownershipTableId: '7',
    fieldName: 'payment_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '23',
    ownershipTableId: '7',
    fieldName: 'payment_method',
    fieldType: 'VARCHAR(50,0)',
  },
  {
    businessId: '24',
    ownershipTableId: '7',
    fieldName: 'amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // shipping_addresses
  {
    businessId: '25',
    ownershipTableId: '8',
    fieldName: 'address_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '26',
    ownershipTableId: '8',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '27',
    ownershipTableId: '8',
    fieldName: 'address',
    fieldType: 'VARCHAR(255,0)',
  },

  // invoice_data
  {
    businessId: '28',
    ownershipTableId: '9',
    fieldName: 'invoice_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '29',
    ownershipTableId: '9',
    fieldName: 'invoice_date',
    fieldType: 'DATETIME',
  },
  {
    businessId: '30',
    ownershipTableId: '9',
    fieldName: 'total_amount',
    fieldType: 'DECIMAL(10,2)',
  },

  // customer_feedback
  {
    businessId: '31',
    ownershipTableId: '10',
    fieldName: 'feedback_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '32',
    ownershipTableId: '10',
    fieldName: 'customer_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '33',
    ownershipTableId: '10',
    fieldName: 'feedback_text',
    fieldType: 'TEXT',
  },

  // supplier_info
  {
    businessId: '34',
    ownershipTableId: '11',
    fieldName: 'supplier_id',
    fieldType: 'INT(11,0)',
  },
  {
    businessId: '35',
    ownershipTableId: '11',
    fieldName: 'company_name',
    fieldType: 'VARCHAR(100,0)',
  },
  {
    businessId: '36',
    ownershipTableId: '11',
    fieldName: 'contact_person',
    fieldType: 'VARCHAR(100,0)',
  },
];
export const tableTreeData = [
  {
    title: 'bm_datasource',
    key: '0',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id FROM bm_datasource',
  },
  {
    title: 'user_info',
    key: '1',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, catalog_id, name, description FROM user_info',
  },
  {
    title: 'customer_details',
    key: '2',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, user_id, username, email FROM customer_details',
  },
  {
    title: 'order_history',
    key: '3',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, order_id, total_amount FROM order_history',
  },
  {
    title: 'product_inventory',
    key: '4',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, product_id, product_name, price FROM product_inventory',
  },
  {
    title: 'transaction_logs',
    key: '5',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, category_id, category_name FROM transaction_logs',
  },
  {
    title: 'employee_records',
    key: '6',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, customer_id, customer_name FROM employee_records',
  },
  {
    title: 'payment_details',
    key: '7',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, customer_id, order_date FROM payment_details',
  },
  {
    title: 'shipping_addresses',
    key: '8',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, product_id, stock_quantity, last_updated FROM shipping_addresses',
  },
  {
    title: 'invoice_data',
    key: '9',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, user_id, address, phone_number FROM invoice_data',
  },
  {
    title: 'customer_feedback',
    key: '10',
    icon: 'majesticons:table-line',
    sql: 'SELECT uuid, category_id, category_description, parent_category_id FROM customer_feedback',
  },
  {
    title: 'supplier_info',
    key: '11',
    icon: 'majesticons:table-line',
    sql: 'SELECT * FROM supplier_info', // 假设 supplier_info 表没有在 isCustomSQLTableList 中定义字段
  },
];
export const dataDirectionData: any[] = [
  {
    dataBaseSource: '0a5ca1a6fd364a05961918cd97b4241d_01',
    children: [
      {
        dataBaseSource: 'fbs 1 flashsyncA stable3.flashsync stable2',
        dataBaseDirection: 'fbs 1 flashsyncA stable3.flashsync stable2',
      },
      {
        dataBaseSource: 'fbs 1 flashsyncA stable3.flashsync stable2',
        dataBaseDirection: 'fbs 1 flashsyncA stable3.flashsync stable2',
      },
      {
        dataBaseSource: 'fbs 1 flashsyncA stable3.flashsync stable2',
        dataBaseDirection: 'fbs 1 flashsyncA stable3.flashsync stable2',
      },
    ],
    dataBaseDirection: '0a5ca1a6fd364a05961918cd97b4241d_01',
  },
  {
    dataBaseSource: '0a5ca1a6fd364a05961918cd97b4241d_02',
    children: [
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
    ],
    dataBaseDirection: '0a5ca1a6fd364a05961918cd97b4241d_02',
  },
  {
    dataBaseSource: '0a5ca1a6fd364a05961918cd97b4241d_03',
    children: [
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
      {
        dataBaseSource: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
        dataBaseDirection: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
      },
    ],
    dataBaseDirection: '0a5ca1a6fd364a05961918cd97b4241d_03',
  },
];
export const getMetadataTableList = [
  {
    dataBase: 'bm_datasource1',
    businessId: '12',
    children: [
      {
        tableName: 'bm_datasource',
        businessId: '0',
      },
      {
        tableName: 'user_info',
        businessId: '1',
      },
      {
        tableName: 'customer_details',
        businessId: '2',
      },
    ],
  },
  {
    dataBase: 'bm_datasource2',
    businessId: '13',
    children: [
      {
        tableName: 'order_history',
        businessId: '3',
      },
      {
        tableName: 'product_inventory',
        businessId: '4',
      },
      {
        tableName: 'transaction_logs',
        businessId: '5',
      },
      {
        tableName: 'employee_records',
        businessId: '6',
      },
    ],
  },
  {
    dataBase: 'bm_datasourc3',
    businessId: '14',
    children: [
      {
        tableName: 'payment_details',
        businessId: '7',
      },
      {
        tableName: 'shipping_addresses',
        businessId: '8',
      },
    ],
  },
  {
    dataBase: 'bm_datasource4',
    businessId: '15',
    children: [
      {
        tableName: 'invoice_data',
        businessId: '9',
      },
      {
        tableName: 'customer_feedback',
        businessId: '10',
      },
      {
        tableName: 'supplier_info',
        businessId: '11',
      },
    ],
  },
];
export const tableDetailData = [
  {
    name: 'id',
    detail: 'INT(11,0)',
  },
  {
    name: 'name',
    detail: 'VARCHAR(255,0)',
  },
  {
    name: 'age',
    detail: 'INT(11,0)',
  },
  {
    name: 'gender',
    detail: 'VARCHAR(255,0)',
  },
  {
    name: 'address',
    detail: 'VARCHAR(255,0)',
  },
  {
    name: 'phone',
    detail: 'VARCHAR(255,0)',
  },
];
export const filterRuleCardList = [
  {
    title: '数据操作过滤',
    type: '数据操作过滤',
    description: '支持在数据同步阶段对当前任务选中表操作过滤',
  },
  {
    title: '数据值过滤',
    type: '数据值过滤',
    description: '支持在数据同步阶段对当前任务选中表的数据操作过滤',
  },
  {
    title: '字段过滤',
    type: '字段过滤',
    description: '支持在数据同步阶段对当前任务选中表的字段操作过滤',
  },
];
export const mappingRulesTopicTableData: any[] = [
  {
    name: '0a5c81a6fd364805961918cd9764241d_01',
    dataBase: '',
  },
  {
    name: '0a5c81a6fd364805961918cd9764241d_03',
    dataBase: '',
  },
  {
    name: '0a5c81a6fd364805961918cd9764241d_02',
    dataBase: '',
  },
];
export const mappingRulesTableData: any[] = [
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_01',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable1',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_03',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_02',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable3',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_02',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable1',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_01',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable2',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_03',
    dataSourceName: 'fbs_1_flashsyncA_stable3.flashsync_stable3',
  },
];
export const tableMappingData: any[] = [
  {
    businessId: '1',
    name: '0a5c81a6fd364805961918cd9764241d_01',
    dataBase: '',
  },
  {
    businessId: '2',
    name: '0a5c81a6fd364805961918cd9764241d_03',
    dataBase: '',
  },
];
export const fieldMappingData: any[] = [
  {
    businessId: '1',
    name: 'gxxadmin.FLASH_TEST4添加前缀',
    type: '字段名规则1',
  },
  {
    businessId: '1',
    name: 'gxxadmin.flashsync5替换文案',
    type: '字段名规则2',
  },
];
export const writePolicyData: any[] = [
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_01',
    tableNum: '3',
    concurrency: '1',
    num: '5000',
    timeInterval: '1',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_02',
    tableNum: '3',
    concurrency: '1',
    num: '5000',
    timeInterval: '1',
  },
  {
    topicName: '0a5c81a6fd364805961918cd9764241d_03',
    tableNum: '3',
    concurrency: '1',
    num: '5000',
    timeInterval: '1',
  },
];
export const jsonData = `
{
}
`;
export const fieldMappingRulesTableData: any[] = [
  {
    topicName: 'ID',
    dataSourceName: 'ID',
  },
  {
    topicName: 'PERSON_NAME',
    dataSourceName: 'pre_PERSON_NAME',
  },
  {
    topicName: 'AGE',
    dataSourceName: 'pre_AGE',
  },
  {
    topicName: 'HEIGHT',
    dataSourceName: 'pre_HEIGHT',
  },
  {
    topicName: 'GENDER',
    dataSourceName: 'pre_GENDER',
  },
  {
    topicName: 'SOURCE',
    dataSourceName: 'pre_SOURCE',
  },
];
export const dataOperation1 = [
  {
    label: '包含',
    value: '包含',
  },
  {
    label: '排除',
    value: '排除',
  },
];
export const dataOperation2 = [
  {
    label: '更新',
    value: '更新',
  },
  {
    label: '插入',
    value: '插入',
  },
  {
    label: '删除',
    value: '删除',
  },
];
export const dataFiltering1 = [
  {
    label: 'id',
    value: 'id',
  },
  {
    label: 'name',
    value: 'name',
  },
  {
    label: 'age',
    value: 'age',
  },
];
export const dataFiltering2 = [
  {
    label: '>',
    value: '>',
  },
  {
    label: '<',
    value: '<',
  },
  {
    label: '=',
    value: '=',
  },
];
